<?xml version="1.0" encoding="UTF-8"?>
<Flow xmlns="http://soap.sforce.com/2006/04/metadata">
    <apiVersion>49.0</apiVersion>
    <decisions>
        <name>Email_Match</name>
        <label>Email Match</label>
        <locationX>471</locationX>
        <locationY>119</locationY>
        <defaultConnector>
            <targetReference>Parent_Account</targetReference>
        </defaultConnector>
        <defaultConnectorLabel>No Match</defaultConnectorLabel>
        <rules>
            <name>EmailMatch</name>
            <conditionLogic>and</conditionLogic>
            <conditions>
                <leftValueReference>Contact.Id</leftValueReference>
                <operator>IsNull</operator>
                <rightValue>
                    <booleanValue>false</booleanValue>
                </rightValue>
            </conditions>
            <conditions>
                <leftValueReference>Contact.Email</leftValueReference>
                <operator>IsNull</operator>
                <rightValue>
                    <booleanValue>false</booleanValue>
                </rightValue>
            </conditions>
            <connector>
                <targetReference>Update_DISH_Contract</targetReference>
            </connector>
            <label>EmailMatch</label>
        </rules>
    </decisions>
    <decisions>
        <name>Email_Match_2</name>
        <label>Email Match</label>
        <locationX>684</locationX>
        <locationY>294</locationY>
        <defaultConnector>
            <targetReference>Create_Contact</targetReference>
        </defaultConnector>
        <defaultConnectorLabel>No Match</defaultConnectorLabel>
        <rules>
            <name>EmailMatch_2</name>
            <conditionLogic>and</conditionLogic>
            <conditions>
                <leftValueReference>Contact2.Id</leftValueReference>
                <operator>IsNull</operator>
                <rightValue>
                    <booleanValue>false</booleanValue>
                </rightValue>
            </conditions>
            <conditions>
                <leftValueReference>Contact2.Email</leftValueReference>
                <operator>IsNull</operator>
                <rightValue>
                    <booleanValue>false</booleanValue>
                </rightValue>
            </conditions>
            <connector>
                <targetReference>Update_DISH_Contract_2</targetReference>
            </connector>
            <label>EmailMatch</label>
        </rules>
    </decisions>
    <formulas>
        <name>Email2FirstName</name>
        <dataType>String</dataType>
        <expression>UPPER(LEFT({!Case.Lessee_Email__c}, 1))&amp;IF(CONTAINS(MID({!Case.Lessee_Email__c}, 2, FIND(&quot;@&quot;,{!Case.Lessee_Email__c})-2), &quot;.&quot;), LOWER(MID({!Case.Lessee_Email__c}, 2, FIND(&quot;.&quot;,{!Case.Lessee_Email__c})-2)), LOWER(MID({!Case.Lessee_Email__c}, 2, FIND(&quot;@&quot;,{!Case.Lessee_Email__c})-2)))</expression>
    </formulas>
    <formulas>
        <name>Email2FullName</name>
        <dataType>String</dataType>
        <expression>UPPER(LEFT({!Case.Lessee_Email__c}, 1))&amp;IF(CONTAINS(MID({!Case.Lessee_Email__c}, 2, FIND(&quot;@&quot;,{!Case.Lessee_Email__c})-2), &quot;.&quot;), LOWER(MID({!Case.Lessee_Email__c}, 2, FIND(&quot;@&quot;,{!Case.Lessee_Email__c})-2)), LOWER(MID({!Case.Lessee_Email__c}, 2, FIND(&quot;@&quot;,{!Case.Lessee_Email__c})-2)))</expression>
    </formulas>
    <formulas>
        <name>Email2LastName</name>
        <dataType>String</dataType>
        <expression>RIGHT({!Email2FullName}, FIND(&quot;.&quot;, {!Email2FullName}) -2)</expression>
    </formulas>
    <interviewLabel>Get Contact Information for CONGA {!$Flow.CurrentDateTime}</interviewLabel>
    <label>Get Contact Information for CONGA</label>
    <processMetadataValues>
        <name>BuilderType</name>
        <value>
            <stringValue>LightningFlowBuilder</stringValue>
        </value>
    </processMetadataValues>
    <processMetadataValues>
        <name>OriginBuilderType</name>
        <value>
            <stringValue>LightningFlowBuilder</stringValue>
        </value>
    </processMetadataValues>
    <processType>AutoLaunchedFlow</processType>
    <recordCreates>
        <name>Create_Contact</name>
        <label>Create Contact</label>
        <locationX>694</locationX>
        <locationY>460</locationY>
        <inputAssignments>
            <field>AccountId</field>
            <value>
                <elementReference>Case.AccountId</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Email</field>
            <value>
                <elementReference>Case.Lessee_Email__c</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>FirstName</field>
            <value>
                <elementReference>Email2FirstName</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>LastName</field>
            <value>
                <elementReference>Email2LastName</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Role__c</field>
            <value>
                <stringValue>Contract Signer</stringValue>
            </value>
        </inputAssignments>
        <object>Contact</object>
    </recordCreates>
    <recordLookups>
        <description>Get Case Information</description>
        <name>Get_Case</name>
        <label>Get Case</label>
        <locationX>246</locationX>
        <locationY>116</locationY>
        <assignNullValuesIfNoRecordsFound>true</assignNullValuesIfNoRecordsFound>
        <connector>
            <targetReference>Get_Contact</targetReference>
        </connector>
        <filterLogic>and</filterLogic>
        <filters>
            <field>Id</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>DISHContract.Case__c</elementReference>
            </value>
        </filters>
        <object>Case</object>
        <outputAssignments>
            <assignToReference>Case.AccountId</assignToReference>
            <field>AccountId</field>
        </outputAssignments>
        <outputAssignments>
            <assignToReference>Case.Business_Channel__c</assignToReference>
            <field>Business_Channel__c</field>
        </outputAssignments>
        <outputAssignments>
            <assignToReference>Case.Id</assignToReference>
            <field>Id</field>
        </outputAssignments>
        <outputAssignments>
            <assignToReference>Case.Lessee_Email__c</assignToReference>
            <field>Lessee_Email__c</field>
        </outputAssignments>
        <sortField>Id</sortField>
        <sortOrder>Asc</sortOrder>
    </recordLookups>
    <recordLookups>
        <name>Get_Contact</name>
        <label>Get Contact</label>
        <locationX>353</locationX>
        <locationY>117</locationY>
        <assignNullValuesIfNoRecordsFound>true</assignNullValuesIfNoRecordsFound>
        <connector>
            <targetReference>Email_Match</targetReference>
        </connector>
        <filterLogic>and</filterLogic>
        <filters>
            <field>AccountId</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>Case.AccountId</elementReference>
            </value>
        </filters>
        <filters>
            <field>Email</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>Case.Lessee_Email__c</elementReference>
            </value>
        </filters>
        <object>Contact</object>
        <outputAssignments>
            <assignToReference>Contact.Email</assignToReference>
            <field>Email</field>
        </outputAssignments>
        <outputAssignments>
            <assignToReference>Contact.Id</assignToReference>
            <field>Id</field>
        </outputAssignments>
    </recordLookups>
    <recordLookups>
        <name>Get_Contact_2</name>
        <label>Get Contact2</label>
        <locationX>583</locationX>
        <locationY>293</locationY>
        <assignNullValuesIfNoRecordsFound>true</assignNullValuesIfNoRecordsFound>
        <connector>
            <targetReference>Email_Match_2</targetReference>
        </connector>
        <filterLogic>and</filterLogic>
        <filters>
            <field>AccountId</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>ParentAccountId.ParentId</elementReference>
            </value>
        </filters>
        <filters>
            <field>Email</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>Case.Lessee_Email__c</elementReference>
            </value>
        </filters>
        <object>Contact</object>
        <outputAssignments>
            <assignToReference>Contact2.Email</assignToReference>
            <field>Email</field>
        </outputAssignments>
        <outputAssignments>
            <assignToReference>Contact2.Id</assignToReference>
            <field>Id</field>
        </outputAssignments>
    </recordLookups>
    <recordLookups>
        <name>Get_Dish_Contract</name>
        <label>Get Dish Contract</label>
        <locationX>127</locationX>
        <locationY>116</locationY>
        <assignNullValuesIfNoRecordsFound>true</assignNullValuesIfNoRecordsFound>
        <connector>
            <targetReference>Get_Case</targetReference>
        </connector>
        <filterLogic>and</filterLogic>
        <filters>
            <field>Id</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>DISHContract.Id</elementReference>
            </value>
        </filters>
        <object>DISH_Contract__c</object>
        <outputAssignments>
            <assignToReference>DISHContract.Case__c</assignToReference>
            <field>Case__c</field>
        </outputAssignments>
        <outputAssignments>
            <assignToReference>DISHContract.Id</assignToReference>
            <field>Id</field>
        </outputAssignments>
        <sortField>Id</sortField>
        <sortOrder>Asc</sortOrder>
    </recordLookups>
    <recordLookups>
        <name>Parent_Account</name>
        <label>Parent Account</label>
        <locationX>484</locationX>
        <locationY>294</locationY>
        <assignNullValuesIfNoRecordsFound>true</assignNullValuesIfNoRecordsFound>
        <connector>
            <targetReference>Get_Contact_2</targetReference>
        </connector>
        <filterLogic>and</filterLogic>
        <filters>
            <field>Id</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>Case.AccountId</elementReference>
            </value>
        </filters>
        <object>Account</object>
        <outputAssignments>
            <assignToReference>ParentAccountId.ParentId</assignToReference>
            <field>ParentId</field>
        </outputAssignments>
    </recordLookups>
    <recordUpdates>
        <description>Update DISH Contract</description>
        <name>Update_DISH_Contract</name>
        <label>Update DISH Contract</label>
        <locationX>693</locationX>
        <locationY>116</locationY>
        <filterLogic>and</filterLogic>
        <filters>
            <field>Id</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>DISHContract.Id</elementReference>
            </value>
        </filters>
        <inputAssignments>
            <field>Contact__c</field>
            <value>
                <elementReference>Contact.Id</elementReference>
            </value>
        </inputAssignments>
        <object>DISH_Contract__c</object>
    </recordUpdates>
    <recordUpdates>
        <description>Update DISH Contract</description>
        <name>Update_DISH_Contract_2</name>
        <label>Update DISH Contract</label>
        <locationX>883</locationX>
        <locationY>292</locationY>
        <filterLogic>and</filterLogic>
        <filters>
            <field>Id</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>DISHContract.Id</elementReference>
            </value>
        </filters>
        <inputAssignments>
            <field>Contact__c</field>
            <value>
                <elementReference>Contact2.Id</elementReference>
            </value>
        </inputAssignments>
        <object>DISH_Contract__c</object>
    </recordUpdates>
    <start>
        <locationX>39</locationX>
        <locationY>42</locationY>
        <connector>
            <targetReference>Get_Dish_Contract</targetReference>
        </connector>
    </start>
    <status>Active</status>
    <variables>
        <name>Case</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>Case</objectType>
    </variables>
    <variables>
        <name>Contact</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>Contact</objectType>
    </variables>
    <variables>
        <name>Contact2</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>Contact</objectType>
    </variables>
    <variables>
        <name>DISHContract</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>DISH_Contract__c</objectType>
    </variables>
    <variables>
        <name>ParentAccountId</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <objectType>Account</objectType>
    </variables>
    <variables>
        <name>VarEmail2FirstName</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
        <value>
            <elementReference>Email2FirstName</elementReference>
        </value>
    </variables>
</Flow>
